summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorJesse Keating <jkeating@redhat.com>2008-12-02 12:11:53 -0800
committerJesse Keating <jkeating@redhat.com>2008-12-02 12:11:53 -0800
commita13b5490c6a962cc14a80c638cf0fc38ee80ac33 (patch)
treeb1c4d72b84c66f5616ff5ab08ac40391a098b1e3 /scripts
parent2c09ae0acb45101dba78bbb41070b689aa108f8a (diff)
downloadreleng-a13b5490c6a962cc14a80c638cf0fc38ee80ac33.tar.gz
releng-a13b5490c6a962cc14a80c638cf0fc38ee80ac33.tar.xz
releng-a13b5490c6a962cc14a80c638cf0fc38ee80ac33.zip
Use a unique extention for the mock chroot for rawhide composes.
This will help me if I forget to exit out of the mock chroot if I have been debugging during the day. Each day gets a fresh extension and thus no locking issues.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/buildrawhide16
1 files changed, 8 insertions, 8 deletions
diff --git a/scripts/buildrawhide b/scripts/buildrawhide
index 77fa214..58a5fff 100755
--- a/scripts/buildrawhide
+++ b/scripts/buildrawhide
@@ -26,17 +26,17 @@ cvs -d :pserver:anonymous@cvs.fedora.redhat.com:/cvs/pkgs -z3 -q co comps && {
}
popd
-mock -r $MOCKCONFIG --init
-mock -r $MOCKCONFIG --no-clean --install koji yum createrepo cvs make intltool findutils mash yum-utils rsync repoview
+mock -r $MOCKCONFIG --uniqueext=$DATE --init
+mock -r $MOCKCONFIG --uniqueext=$DATE --no-clean --install koji yum createrepo cvs make intltool findutils mash yum-utils rsync repoview
# Copy in the hosts file so that we get the right address for koji
-mock -r $MOCKCONFIG --copyin /etc/hosts /etc/hosts >/dev/null 2>&1 # this reports to fail, but actually works
+mock -r $MOCKCONFIG --uniqueext=$DATE --copyin /etc/hosts /etc/hosts >/dev/null 2>&1 # this reports to fail, but actually works
# Drop privs here so that we run as the masher UID
-mock -r $MOCKCONFIG --unpriv --chroot "mash -o /mnt/koji/mash/rawhide-$DATE --compsfile /mnt/koji/mash/rawhide-$DATE/logs/comps-rawhide.xml development > /mnt/koji/mash/rawhide-$DATE/logs/mash.log 2>&1" || exit 1
+mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "mash -o /mnt/koji/mash/rawhide-$DATE --compsfile /mnt/koji/mash/rawhide-$DATE/logs/comps-rawhide.xml development > /mnt/koji/mash/rawhide-$DATE/logs/mash.log 2>&1" || exit 1
-mock -r $MOCKCONFIG --chroot "rm -f /var/lib/rpm/__db*"
-mock -r $MOCKCONFIG --unpriv --chroot "/usr/bin/repodiff -q --new=file:///mnt/koji/mash/rawhide-$DATE/development/source/SRPMS --old=file:///pub/fedora/linux/development/source/SRPMS > /mnt/koji/mash/rawhide-$DATE/logs/repodiff"
+mock -r $MOCKCONFIG --uniqueext=$DATE --chroot "rm -f /var/lib/rpm/__db*"
+mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "/usr/bin/repodiff -q --new=file:///mnt/koji/mash/rawhide-$DATE/development/source/SRPMS --old=file:///pub/fedora/linux/development/source/SRPMS > /mnt/koji/mash/rawhide-$DATE/logs/repodiff"
-mock -r $MOCKCONFIG --unpriv --chroot "/usr/share/mash/spam-o-matic /mnt/koji/mash/rawhide-$DATE/development >/mnt/koji/mash/rawhide-$DATE/logs/depcheck" &
+mock -r $MOCKCONFIG --uniqueext=$DATE --unpriv --chroot "/usr/share/mash/spam-o-matic /mnt/koji/mash/rawhide-$DATE/development >/mnt/koji/mash/rawhide-$DATE/logs/depcheck" &
for arch in i386 x86_64 ppc ; do
HOST=$(koji list-hosts --quiet --enabled --ready --arch=$arch | sed 's|/| |g' | sort -gn -k4 -k5r | awk -F '.' '{ print $1 ; exit }')
@@ -44,7 +44,7 @@ for arch in i386 x86_64 ppc ; do
done
wait
-mock -r $MOCKCONFIG --clean
+mock -r $MOCKCONFIG --uniqueext=$DATE --clean
[ -n "$NOSYNC" ] && exit $rc
cd /tmp